---
http_interactions:
- request:
    method: get
    uri: http://test.ieducar.com.br/module/Api/Aluno?access_key=invalid&instituicao_id=1&oper=get&resource=todos-alunos&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - Ruby
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Thu, 11 Sep 2014 20:32:36 GMT
      Server:
      - Apache
      Set-Cookie:
      - PHPSESSID=tdmgdha76caphtlmhvoss29om7; expires=Fri, 12-Sep-2014 20:32:36 GMT;
        path=/
      Expires:
      - Thu, 19 Nov 1981 08:52:00 GMT
      Cache-Control:
      - no-store, no-cache, must-revalidate, post-check=0, pre-check=0
      Pragma:
      - no-cache
      Content-Length:
      - '126'
      Content-Type:
      - application/json; charset=UTF-8
    body:
      encoding: US-ASCII
      string: '{"oper":"get","resource":"todos-alunos","msgs":[{"msg":"Chave de acesso
        inv\u00e1lida!","type":"error"}],"any_error_msg":true}'
    http_version: 
  recorded_at: Thu, 11 Sep 2014 20:32:36 GMT
- request:
    method: get
    uri: https://test.ieducar.com.br/module/Api/Aluno?access_key=invalid&instituicao_id=1&oper=get&resource=todos-alunos&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - Ruby
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Mon, 30 Apr 2018 21:31:26 GMT
      Server:
      - Apache
      Set-Cookie:
      - PHPSESSID=muqjg27uqcgh0td2j9favubf84; expires=Tue, 01-May-2018 21:31:26 GMT;
        path=/
      Expires:
      - Thu, 19 Nov 1981 08:52:00 GMT
      Cache-Control:
      - no-store, no-cache, must-revalidate, post-check=0, pre-check=0
      Pragma:
      - no-cache
      Content-Length:
      - '126'
      Content-Type:
      - application/json; charset=UTF-8
    body:
      encoding: UTF-8
      string: '{"oper":"get","resource":"todos-alunos","msgs":[{"msg":"Chave de acesso
        inv\u00e1lida!","type":"error"}],"any_error_msg":true}'
    http_version: 
  recorded_at: Wed, 01 Mar 2017 03:01:20 GMT
- request:
    method: get
    uri: https://test.ieducar.com.br/module/Api/Aluno?access_key=invalid&instituicao_id=1&modified&oper=get&resource=todos-alunos&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - "*/*"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - rest-client/2.0.2 (linux-gnu x86_64) ruby/2.2.6p396
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx/1.14.0 (Ubuntu)
      Content-Type:
      - application/json; charset=UTF-8
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Cache-Control:
      - no-cache, private
      Date:
      - Fri, 05 Apr 2019 12:12:40 GMT
      X-Xss-Protection:
      - '0'
      Set-Cookie:
      - i_educar_session=Qp3ZVMBtzwG9radJUH8XXFNFUUSKvnYDzEEdOOQf; expires=Fri, 05-Apr-2019
        14:12:40 GMT; Max-Age=7200; path=/; httponly
      Content-Encoding:
      - gzip
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        H4sIAAAAAAAAAx2MwQqDMBBEfyXdcwr26tXP0CKLGWxAs7KbCCL+e6O3mXnDO0k2KLU0I5MnhUnRCXXIEsTevJQkVslqs1Hbn3eotPvxDhfgeIKZuJj2oTQNPksM/Kr/fGy3BaqidH09cTrGp42PIWvB9QctYurwfgAAAA==
    http_version: 
  recorded_at: Wed, 01 Mar 2017 03:06:36 GMT
- request:
    method: get
    uri: https://test.ieducar.com.br/module/Api/Aluno?access_key=invalid&instituicao_id=1&modified=&oper=get&resource=todos-alunos&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - "*/*"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - rest-client/2.0.2 (linux-gnu x86_64) ruby/2.6.6p146
      Host:
      - test.ieducar.com.br
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Fri, 11 Jul 2025 13:35:53 GMT
      Content-Type:
      - application/json; charset=UTF-8
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Cf-Ray:
      - 95d8afc36c73f1d6-GRU
      Vary:
      - Accept-Encoding
      Cache-Control:
      - no-cache, private
      Set-Cookie:
      - i_educar_session=2rvYkxBYnhAkkLuVZhiuHvKpm0kHuEO3NMsjyKuc; expires=Fri, 11
        Jul 2025 15:35:53 GMT; Max-Age=7200; path=/; secure; httponly; samesite=lax
      Content-Encoding:
      - gzip
      Strict-Transport-Security:
      - max-age=63072000
      Cf-Cache-Status:
      - DYNAMIC
      Report-To:
      - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v4?s=sMpXFYzENZlcwJxU483Jvx5b6styTJx3TJL2ktMb1tGUeI05aCqyoi0P2xAXtmSpxi%2Fnk3VLgJ5geUPO0T9d%2FC4MGaQY7nYD186iCnpRBCGNY7FPXFgx2Sa4gvnB7ergwCan6UhX"}],"group":"cf-nel","max_age":604800}'
      Nel:
      - '{"success_fraction":0,"report_to":"cf-nel","max_age":604800}'
      Expect-Ct:
      - max-age=86400, enforce
      Referrer-Policy:
      - same-origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Xss-Protection:
      - 1; mode=block
      Server:
      - cloudflare
      Alt-Svc:
      - h3=":443"; ma=86400
      Server-Timing:
      - cfL4;desc="?proto=TCP&rtt=18769&min_rtt=18427&rtt_var=4408&sent=6&recv=8&lost=0&retrans=0&sent_bytes=2801&recv_bytes=903&delivery_rate=215119&cwnd=253&unsent_bytes=0&cid=bb6a42236a9e742d&ts=492&x=0"
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        H4sIAAAAAAAAAx2MwQqDMBBEfyXdcwr26tXP0CKLGWxAs7KbCCL+e6O3mXnDO0k2KLU0I5MnhUnRCXXIEsTevJQkVslqs1Hbn3eotPvxDhfgeIKZuJj2oTQNPksM/Kr/fGy3BaqidH09cTrGp42PIWvB9QctYurwfgAAAA==
    http_version: 
  recorded_at: Wed, 01 Mar 2017 00:00:55 GMT
recorded_with: VCR 3.0.0
